"oe.rates" <-
function(x, depths = NULL, per.capita = FALSE, ...){

if(!is.strat.column(x)){
  warning(paste('argument to oe.rates() is not of class strat.column'))
}

counts <- x$counts

nas <- sum(is.na(counts))
if(nas > 0){
  warning(paste(nas, 'NAs replaced with zeros for the purposes of calculating stratigraphic ranges; original counts have not been modified'))
  counts[is.na(counts)] <- 0
}

if(is.null(depths)){
  depths <- x$depths
}

pa <- fill.ranges(counts, out = 'pa')
stand.div <- rowSums(pa)
oe <- a.datums(strat.column(counts, depths = depths))
oe.merge <- merge(as.data.frame(table(oe$fads)),
            as.data.frame(table(oe$lads)),
            by = 1, all = TRUE)
oe.merge <- merge(as.data.frame(depths), oe.merge,
            by = 1, all = TRUE)

row.names(oe.merge) <- oe.merge$depths
oe.merge <- oe.merge[,-1]
names(oe.merge) <- c('orig', 'ext')
oe.merge[is.na(oe.merge)] <- 0

# identify boundary crossers
#bc.vect <- vector(mode = 'list', length = length(depths))
#for(i in seq_along(depths)){
#   bc <- character(0)
#  for(j in 1:nrow(counts)){
#  	browser()
#  	if(oe$fads[j] == depths[i] & oe$lads[j] >= depths[i+1])
#    bc <- c(bc, rownames(oe)[j])
#    
#    pa
#  }
#  bc.vect[[i]] <- bc
#}

out <- cbind(stand.div, oe.merge)

if(per.capita){
  out$orig <- out$orig/out$stand.div
  out$ext <- out$ext/out$stand.div
}

return(out)
} # End of function