"readJSF" <-
function(x){

# read in tab-delimited data files
raw.dat <- as.matrix(read.table(x, sep = '\t',
                     colClasses = 'character'))

# strip off empty rows and columns
raw.dat <- gsub('[ ]+', ' ', raw.dat)
empt <- function(x) all(x == '' | x == ' ')

erows <- apply(raw.dat, 1, empt)
raw.dat <- raw.dat[!erows,]
ecols <- apply(raw.dat, 2, empt)
raw.dat <- raw.dat[,!ecols]

# get lat and long stored last two rows of the second column
lat <- raw.dat[nrow(raw.dat) - 1,2]
long <- raw.dat[nrow(raw.dat),2]

# get the formation tops as a named vector
fmbeg <- (1:nrow(raw.dat))[tolower(raw.dat[,1]) ==
                                           'formation top']

fmend <- nrow(raw.dat) - 2
fms <- raw.dat[(fmbeg + 1):fmend,]

# get the depths and counts
depths <- as.numeric(raw.dat[1,3:ncol(raw.dat)])
counts <- raw.dat[2:(fmbeg - 1), 3:ncol(raw.dat)]
counts <- t(matrix(as.numeric(as.matrix(counts)),
                 ncol = length(depths)))
colnames(counts) <- raw.dat[2:(fmbeg - 1),1]
rownames(counts) <- paste('x', depths, sep = '')
scout <- strat.column(counts = counts, depths = depths,
                      taxa = raw.dat[2:(fmbeg - 1),1],
                      tax.code = raw.dat[2:(fmbeg - 1),2])

foo <- function(x) depths[x[3:length(x)] == '1']
event <- apply(fms, 1, foo)
names(event) <- fms[,1]

return(list(name = raw.dat[1,1], strat.column = scout,
            event = event))
} # End of function


########## For working on writeCONOP()...
#Niscota <- readJSF('/Users/wag/Desktop/stratigraph/JSFraw/JSF/NiscotaE1a.csv')
#Gib <- readJSF('/Users/wag/Desktop/stratigraph/JSFraw/JSF/GibraltarTOTALideal.csv')
#x <- list(Niscota = Niscota$strat.column, Gib = Gib$strat.column)