\name{oe.rates}
\alias{oe.rates}
\title{Returns origination and extinction rates}
\description{
Returns the origination and extinctions rates of taxa in a stratigraphic column.}
\usage{

oe.rates(x, depths = NULL, per.capita = FALSE, ...)

}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{an object of class strat.column.}
  \item{depths}{depths, if different from those provided in x.}
  \item{per.capita}{logical. Whether the origination and extinction rates should be given as fractions of the standing diversity.}
  \item{...}{}
}
\details{
  If \code{depths} is provided, it will clobber \code{x$depths}, should \code{x$depths} exist.
}

\value{

\code{oe.rates} returns a data frame with columns stand.div, orig and ext giving standing diversity, origination and extinction rates.

}
\references{

}

\author{Walton Green}
\note{ any other notes? } 

%Make other sections like Warning with \section{Warning }{....}

\seealso{\code{\link{plot.strat.column}}, \code{\link{stratigraph}}}

\examples{

data(mohawk)
oe.rates(as.strat.column(mohawk))
# need to make mohawk a strat.column without coercion

}

\keyword{manip}